Last Comment Bug 719413 - Paste Disabled After Copy from a Source That Is Not a Thunderbird Compose Window (context menu problem)
: Paste Disabled After Copy from a Source That Is Not a Thunderbird Compose Win...
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Message Compose Window (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 16.0
Assigned To: Andy Civil
:
Mentors:
: 719336 (view as bug list)
Depends on: 330868
Blocks: 606728 765491
  Show dependency treegraph
 
Reported: 2012-01-19 06:01 PST by :Irving Reid (No longer working on Firefox)
Modified: 2012-06-16 07:41 PDT (History)
19 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch for Bug 719413 (1005 bytes, patch)
2012-06-12 09:13 PDT, Andy Civil
irving: review+
Details | Diff | Review

Description :Irving Reid (No longer working on Firefox) 2012-01-19 06:01:11 PST
This bug clone is to manage the front end UI fix for the Thunderbird paste problem; bug 330868 will carry Ehsan's fixes for the X Windows cut buffer issues that trigger the bug on Linux and related platforms.

+++ This bug was initially created as a clone of Bug #330868 +++

User-Agent:       Mozilla/5.0 (Windows; U; Win98; en-US; rv:1.8.0.1) Gecko/20060130 SeaMonkey/1.0 Mnenhy/0.7.3.0
Build Identifier: Thunderbird 1.5 (20051201)

If I copy text from a non-Thunderbird window to paste into the Thunderbird composition window, the Paste option in the right-click pull-down menu is sometimes disabled.  The Paste as Quote option is still enabled.  

Reproducible: Sometimes

Steps to Reproduce:
1.  Mark and copy a block of text from a SeaMonkey window.  
2.  Use right-click in a Thunderbird compose window to get the pull-down menu.  


Actual Results:  
The Paste option is disabled (gray).  

Expected Results:  
The Paste option should be enabled (black).  

Ctrl-V (keyboard shortcut for Paste) still works.  This problem seems to occur more frequently if I have already entered some text into the compose window and if the copied text has a link behind it.
Comment 1 Andy Civil 2012-01-20 10:29:16 PST
Bug 330868 as reported turned out to be a mixture of two issues. While bug 330868 will carry Ehsan's fixes for the X Windows cut buffer issues that trigger the bug on Linux and related platforms, this bug will carry the fix I proposed for the front end UI problem, as described here:
https://bugzilla.mozilla.org/show_bug.cgi?id=330868#c26
Comment 2 :Irving Reid (No longer working on Firefox) 2012-01-20 10:36:49 PST
*** Bug 719336 has been marked as a duplicate of this bug. ***
Comment 3 :Irving Reid (No longer working on Firefox) 2012-05-22 08:12:30 PDT
Andy, how are you doing with this patch? Let me know if you want me to handle getting it through review for you, or if there's any other way I can help you with it.
Comment 4 Ludovic Hirlimann [:Usul] 2012-06-12 06:01:24 PDT
(In reply to Irving Reid (:irving) from comment #3)
> Andy, how are you doing with this patch? Let me know if you want me to
> handle getting it through review for you, or if there's any other way I can
> help you with it.

Andy ?
Comment 5 Andy Civil 2012-06-12 09:10:40 PDT
I've created a patch, it's very simple. I will attach it to this comment, and submit it for review.
Comment 6 Andy Civil 2012-06-12 09:13:45 PDT
Created attachment 632284 [details] [diff] [review]
Proposed patch for Bug 719413
Comment 7 Blake Winton (:bwinton) (:☕️) 2012-06-14 09:27:52 PDT
Comment on attachment 632284 [details] [diff] [review]
Proposed patch for Bug 719413

Hey Andy,

Thanks for the patch!  I tried replicating the problem, but was unable to, so I'm not really confident that I can review the patch.  (I mean, it seems like the right thing to do, but I can't tell whether it fixes the bug or not.)

So I'm going to redirect the review request to Irving, on the basis that he reported the bug, and so should be able to tell if it's fixed.  ;)

Thanks,
Blake.
Comment 8 Andy Civil 2012-06-14 11:13:00 PDT
To replicate the bug you need to clear your clipboard, which is not as easy as it sounds. I explained it in a youtube video. The video has a different bug number, because I thought that bug was this one, but it was decided that it was different. I'm afraid the video is 8 minutes.
http://www.youtube.com/watch?v=Z3WBQ-SRxnE
Comment 9 Ryan VanderMeulen [:RyanVM] 2012-06-16 07:06:16 PDT
https://hg.mozilla.org/comm-central/rev/72bbbfe69e63

Thanks for the patch, Andy!

Note You need to log in before you can comment on or make changes to this bug.